Skip to main content
GET
Search and filter test parts within an assessment test

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

assessmentTestIdentifier
string
required

The unique identifier of the parent assessment test containing the test parts

Query Parameters

query
string

Search title and identifier fields using a search term. This is a fuzzy search.

page
integer
default:1

Page number for pagination

Required range: x >= 1
Example:

1

limit
integer
default:10

Number of items per page

Required range: 1 <= x <= 1000
Example:

10

sort
enum<string>
default:createdAt

Field to sort by

Available options:
createdAt,
updatedAt,
title,
identifier,
sequence
Example:

"sequence"

order
enum<string>
default:desc

Sort order

Available options:
asc,
desc
Example:

"desc"

navigationMode
enum<string>

Filter by navigation mode (linear: sequential navigation, nonlinear: free navigation)

Available options:
linear,
nonlinear
Example:

"linear"

submissionMode
enum<string>

Filter by submission mode (individual: submit per item, simultaneous: submit all at once)

Available options:
individual,
simultaneous
Example:

"individual"

Response

Successfully retrieved test parts

Paginated collection of test parts with navigation metadata

items
object[]
required

Array of all test parts belonging to the specified assessment test

total
number
required

The total number of entities that match the search criteria.

page
number
default:1
required

The page number of the entities that match the search criteria.

pages
number
required

The total number of pages of entities that match the search criteria.

limit
number
default:10
required

The number of entities per page.

sort
string
required

The field to sort the entities by.

order
enum<string>
required

The order to sort the entities by. Either 'asc' or 'desc'.

Available options:
asc,
desc